ENV['RAILS_ENV'] ||= 'test'
require 'simplecov'
SimpleCov.start

require 'test/unit'
require 'pp'
$: << File.expand_path("../../lib", __FILE__)
puts $:.inspect

require 'github/payload'
require 'yajl'
require 'pry'
module Formatter; end

class Formatter::TestCase < Test::Unit::TestCase
  def test_default
  end

  def basic_auth(user, pass)
    "Basic " + ["#{user}:#{pass}"].pack("m*").strip
  end
  
  def fixture_files
    @fixture_files ||= Dir["test/fixtures/*.json"]
  end

  def load_fixture(name)
    file = fixture_files.find { |f| f =~ /#{name}/ }
    Yajl.load(File.read(file))
  end

  def push_payload
    GitHub::Payload::Helpers::Push.sample_payload
  end
  alias payload push_payload

  def pull_payload
    GitHub::Payload::Helpers::PullRequest.sample_payload
  end

  def issues_payload
    GitHub::Payload::Helpers::Issues.sample_payload
  end

  def basic_payload
    GitHub::Payload::Helpers::Meta.sample_payload
  end
end
